summaryrefslogtreecommitdiffstats
path: root/source/n/postfix
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/postfix')
-rwxr-xr-xsource/n/postfix/postfix.SlackBuild5
-rw-r--r--source/n/postfix/postfix.res-macros-fix.patch21
2 files changed, 25 insertions, 1 deletions
diff --git a/source/n/postfix/postfix.SlackBuild b/source/n/postfix/postfix.SlackBuild
index 8651934d5..edb68a50d 100755
--- a/source/n/postfix/postfix.SlackBuild
+++ b/source/n/postfix/postfix.SlackBuild
@@ -28,7 +28,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=postfix
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -102,6 +102,9 @@ zcat $CWD/postfix.only.warn.regular.files.diff.gz | patch -p1 --verbose || exit
# Make the postfix startup message look more like the other boot notices:
zcat $CWD/postfix.script.starting.message.diff.gz | patch -p1 --verbose || exit 1
+# Fix dropped RES macros with glibc-2.30:
+zcat $CWD/postfix.res-macros-fix.patch.gz | patch -p1 --verbose || exit 1
+
# Postfix does not use a ./configure script (no GNU autoconf)
#
# The AUXLIBS variable is for dynamic library linking, which as of this
diff --git a/source/n/postfix/postfix.res-macros-fix.patch b/source/n/postfix/postfix.res-macros-fix.patch
new file mode 100644
index 000000000..1034c85f7
--- /dev/null
+++ b/source/n/postfix/postfix.res-macros-fix.patch
@@ -0,0 +1,21 @@
+diff --git a/src/dns/dns_str_resflags.c b/src/dns/dns_str_resflags.c
+index 5f2cce5..df32345 100644
+--- a/src/dns/dns_str_resflags.c
++++ b/src/dns/dns_str_resflags.c
+@@ -60,10 +60,16 @@ static const LONG_NAME_MASK resflag_table[] = {
+ "RES_DEFNAMES", RES_DEFNAMES,
+ "RES_STAYOPEN", RES_STAYOPEN,
+ "RES_DNSRCH", RES_DNSRCH,
++#ifdef RES_INSECURE1
+ "RES_INSECURE1", RES_INSECURE1,
++#endif
++#ifdef RES_INSECURE2
+ "RES_INSECURE2", RES_INSECURE2,
++#endif
+ "RES_NOALIASES", RES_NOALIASES,
++#ifdef RES_USE_INET6
+ "RES_USE_INET6", RES_USE_INET6,
++#endif
+ #ifdef RES_ROTATE
+ "RES_ROTATE", RES_ROTATE,
+ #endif